{% extends 'base.html.twig' %}


{% block title %}Welcome!{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('assets/node_modules/bootstrap/dist/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/base.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/vendor.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/main.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/override.css') }}">

    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link rel="icon" href="favicon.ico" type="image/x-icon">

{% endblock %}

{% block javascripts %}
    <script src="{{ asset('assets/js/modernizr.js') }}"></script>
    <script src="{{ asset('assets/js/pace.min.js') }}"></script>
    <script src="{{ asset('assets/js/jquery-3.2.1.min.js') }}"></script>
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
    <script src="{{ asset('assets/js/main.js') }}"></script>
{% endblock %}

{% block body %}

    <!-- pageheader
    ================================================== -->
    <section class="s-pageheader {% block headerClasses %}{% endblock %}">

        <header class="header">

            <div class="header__content row">
                <div id="header-action" class="col-2">
                    <a class="btn btn-primary" href="{{ url('advert_create') }}">BUY YOUR BIKE !</a>
                </div>
                <div class="header__logo">
                    <a class="logo" href="{{ url('app_home') }}">
                        <img src="{{ asset('assets/images/logobike.svg') }}" alt="Homepage">
                    </a>
                </div> <!-- end header__logo -->

{#                <ul class="header__social">#}
{#                    <li>#}
{#                        <a href="#0"><i class="fa fa-facebook" aria-hidden="true"></i></a>#}
{#                    </li>#}
{#                    <li>#}
{#                        <a href="#0"><i class="fa fa-twitter" aria-hidden="true"></i></a>#}
{#                    </li>#}
{#                    <li>#}
{#                        <a href="#0"><i class="fa fa-instagram" aria-hidden="true"></i></a>#}
{#                    </li>#}
{#                    <li>#}
{#                        <a href="#0"><i class="fa fa-pinterest" aria-hidden="true"></i></a>#}
{#                    </li>#}
{#                </ul> <!-- end header__social -->#}



{#                <a class="header__search-trigger" href="#0"></a>#}

                <div class="header__search">


{#                    <form role="search" method="get" class="header__search-form" action="#">#}
{#                        <label>#}
{#                            <span class="hide-content">Search for:</span>#}
{#                            <input type="search" class="search-field" placeholder="Type Keywords" value="" name="s" title="Search for:" autocomplete="off">#}
{#                        </label>#}
{#                        <input type="submit" class="search-submit" value="Search">#}
{#                    </form>#}

                    <a href="#0" title="Close Search" class="header__overlay-close">Close</a>

                </div>  <!-- end header__search -->


                <a class="header__toggle-menu" href="#0" title="Menu"><span>Menu</span></a>

                <nav class="header__nav-wrap">

                    <h2 class="header__nav-heading h6">Site Navigation</h2>

                    <ul class="header__nav">
                        {% for category in getCategories() %}
                            <li class="{{ app.current_route ==  'category' and app.current_route_parameters == {categoryName: category.name} ? 'current' : ''}}"><a href="{{ url('category', {categoryName: category.name}) }}">{{ category.name }}</a></li>
                        {% endfor %}
                        {% if app.user is null %}
                            <li><a href="{{ url('app_login') }}">Connectez-vous</a></li>
                            <li><a href="{{ url('app_register') }}">Créez un compte</a></li>
                        {% else %}
                            <li><a href="{{ url('profile_my_adverts') }}">Mon espace</a></li>
                        {% endif %}
                    </ul> <!-- end header__nav -->

                    <a href="#0" title="Close Menu" class="header__overlay-close close-mobile-menu">Close</a>

                </nav> <!-- end header__nav-wrap -->
            </div> <!-- header-content -->
            
        </header> <!-- header -->
        {% block headerContent %}{% endblock %}
    </section> <!-- end s-pageheader -->
    {% block content %}
    {% endblock %}
    <!-- s-footer
    ================================================== -->
    <footer class="s-footer">


        <div class="s-footer__bottom">
            <div class="row">
                <div class="col-full">
                    <div class="s-footer__copyright">
                        <span>© Copyright Philosophy {{ "now"|date("Y") }}</span>
                    </div>

                    <div class="go-top">
                        <a class="smoothscroll" title="Back to Top" href="#top"></a>
                    </div>
                </div>
            </div>
        </div> <!-- end s-footer__bottom -->

    </footer> <!-- end s-footer -->



{% endblock %}
